package cz.moneta.test.dsl.ib.settings.smartbanka;

import cz.moneta.test.dsl.ib.IbPageFlow;
import cz.moneta.test.dsl.ib.components.MobileKeyConfirmation;
import cz.moneta.test.harness.support.web.GetElementContent;

public interface DeviceRegistrationWizard extends IbPageFlow<DeviceRegistrationWizard>, MobileKeyConfirmation<DeviceRegistrationWizard> {

    String DEVICE_REGISTRATION_CODE = "//div[contains(@style,'text-align:')]";

    @GetElementContent(DEVICE_REGISTRATION_CODE)
    String getDeviceRegistrationCode();

    DeviceRegisteredWizard afterMobileActivation();
}
